POST

/api/v1/exchanges/:id/sell_all_to_btc

Permission: EXCHANGES_WRITESecurity: SIGNED

Sells all non-BTC assets held on the exchange account into BTC by placing market conversion orders directly on the exchange.

Important Execution Notice

When executing this request, all active trading entities (DCA bots, SmartTrades, deals, and open orders—except for Signal Bot) will be stopped and cancelled both in Quentrade and on the exchange.

Supported Exchanges

This endpoint is supported for: Binance Spot, Binance Margin, Binance US, Coinbase Advanced Spot, Gemini Spot, Kraken Spot, Bybit Spot, GateIo, OKX Spot, Huobi Spot, Bitfinex Spot, Kucoin Spot, Bitstamp Spot.

Path Parameters

idUUID string required

Unique Quentrade UUID of this exchange account entity.

Example Request

POSTPOST /api/v1/exchanges/7fa84b80-77a8-4e89-a292-123456789abc/sell_all_to_btc

Response Parameters

Liquidated Account Entity Structure

If successful, the response returns an updated copy of the Exchange Connection entity reflecting the liquidated assets and updated BTC balances.

View Account Entity Spec

Example Responses

sell_to_btc_200.json
200 OK
{
  "id": "7fa84b80-77a8-4e89-a292-123456789abc",
  "exchange": "binance",
  "label": "My Main Binance Account",
  "connection_type": "spot",
  "can_trade": true,
  "can_withdraw": false,
  "is_active": true,
  "is_testnet": false,
  "last_verified": "2026-08-20T23:46:00.000Z",
  "last_error": null,
  "created_at": "2026-08-20T23:25:00.000Z"
}